# Uses of Interface
org.bukkit.Server

Packages that use Server
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.command
Classes relating to handling specialized non-chat player input.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.plugin
Classes specifically relating to loading software modules at runtime.
org.bukkit.plugin.java
Classes for handling `plugins` written in java.

## Uses of Server in org.bukkit

Methods in org.bukkit that return Server
Modifier and Type
Method
Description
`static @NotNull Server`
Bukkit.`getServer()`
Gets the current `Server` singleton
Methods in org.bukkit with parameters of type Server
Modifier and Type
Method
Description
`static void`
Bukkit.`setServer(@NotNull Server server)`
Attempts to set the `Server` singleton.

## Uses of Server in org.bukkit.command

Methods in org.bukkit.command that return Server
Modifier and Type
Method
Description
`@NotNull Server`
CommandSender.`getServer()`
Returns the server instance that this command is running on
`default @NotNull Server`
MessageCommandSender.`getServer()`
Constructors in org.bukkit.command with parameters of type Server
Modifier
Constructor
Description
``
`SimpleCommandMap(@NotNull Server server)`

## Uses of Server in org.bukkit.entity

Methods in org.bukkit.entity that return Server
Modifier and Type
Method
Description
`@NotNull Server`
Entity.`getServer()`
Gets the `Server` that contains this Entity

## Uses of Server in org.bukkit.plugin

Methods in org.bukkit.plugin that return Server
Modifier and Type
Method
Description
`@NotNull Server`
Plugin.`getServer()`
Returns the Server instance currently running this plugin
Constructors in org.bukkit.plugin with parameters of type Server
Modifier
Constructor
Description
``
`SimplePluginManager(@NotNull Server instance, @NotNull SimpleCommandMap commandMap)`
Deprecated, for removal: This API element is subject to removal in a future version.

## Uses of Server in org.bukkit.plugin.java

Methods in org.bukkit.plugin.java that return Server
Modifier and Type
Method
Description
`final @NotNull Server`
JavaPlugin.`getServer()`
Returns the Server instance currently running this plugin
Constructors in org.bukkit.plugin.java with parameters of type Server
Modifier
Constructor
Description
``
`JavaPluginLoader(@NotNull Server instance)`
Deprecated.